# DataExchange
TKSTEPBase
StepShape

# StepShape_OrientedEdge Class Reference

`#include <StepShape_OrientedEdge.hxx>`

Inheritance diagram for StepShape_OrientedEdge:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_OrientedEdge ()
| Returns a OrientedEdge .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_Edge)&aEdgeElement, const Standard_Boolean aOrientation)
Standard_EXPORT void | SetEdgeElement (const Handle(StepShape_Edge)&aEdgeElement)
Standard_EXPORT Handle_StepShape_Edge | EdgeElement () const
Standard_EXPORT void | SetOrientation (const Standard_Boolean aOrientation)
Standard_EXPORT Standard_Boolean | Orientation () const
virtual Standard_EXPORT void | SetEdgeStart (const Handle(StepShape_Vertex)&aEdgeStart)
virtual Standard_EXPORT Handle_StepShape_Vertex | EdgeStart () const
virtual Standard_EXPORT void | SetEdgeEnd (const Handle(StepShape_Vertex)&aEdgeEnd)
virtual Standard_EXPORT Handle_StepShape_Vertex | EdgeEnd () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_Edge | edgeElement
Standard_Boolean | orientation

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_OrientedEdge::StepShape_OrientedEdge | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_Edge StepShape_OrientedEdge::EdgeElement | ( |  | ) | const

virtual Standard_EXPORT Handle_StepShape_Vertex StepShape_OrientedEdge::EdgeEnd | ( |  | ) | const`[virtual]`

| Reimplemented from StepShape_Edge.

virtual Standard_EXPORT Handle_StepShape_Vertex StepShape_OrientedEdge::EdgeStart | ( |  | ) | const`[virtual]`

| Reimplemented from StepShape_Edge.

Standard_EXPORT const StepShape_OrientedEdge::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_Edge. Reimplemented in StepShape_SeamEdge.

virtual Standard_EXPORT void StepShape_OrientedEdge::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_Edge)& | aEdgeElement,
|  | const Standard_Boolean | aOrientation
| ) | `[virtual]`

Standard_EXPORT Standard_Boolean StepShape_OrientedEdge::Orientation | ( |  | ) | const

Standard_EXPORT void StepShape_OrientedEdge::SetEdgeElement | ( | const Handle(StepShape_Edge)& | aEdgeElement | ) |

virtual Standard_EXPORT void StepShape_OrientedEdge::SetEdgeEnd | ( | const Handle(StepShape_Vertex)& | aEdgeEnd | ) | `[virtual]`

| Reimplemented from StepShape_Edge.

virtual Standard_EXPORT void StepShape_OrientedEdge::SetEdgeStart | ( | const Handle(StepShape_Vertex)& | aEdgeStart | ) | `[virtual]`

| Reimplemented from StepShape_Edge.

Standard_EXPORT void StepShape_OrientedEdge::SetOrientation | ( | const Standard_Boolean | aOrientation | ) |

## Field Documentation

Handle_StepShape_Edge StepShape_OrientedEdge::edgeElement `[private]`

Standard_Boolean StepShape_OrientedEdge::orientation `[private]`

The documentation for this class was generated from the following file:

- StepShape_OrientedEdge.hxx